# Class: OverDocumentedClass Abstract Deprecated Private

Defined in: | node_modules/grunt-codo/node_modules/codo/spec/_templates/example/src/over_documented_class.coffee
Extends: | OverDocumentedMixin Casper
Includes: | OverDocumentedMixin Casper

## Overview

Deprecated. Don't use this anymore!!11
This class is abstract. It's so abstract! ^_^ http://www.github.com
TODO: Run with the wolves http://www.github.com
Note: Never fortget this thing! http://www.github.com

This class is SO DOCUMENTED! Seriously, Just look at that! This is so incredible!

It even has some links: Google for instance OverDocumentedClass itself http://www.github.com OverDocumentedMixin~mixed_method {Casper The ghost!}

### Examples:

#### Foobar

    foo = bar

### Author:

- The great Yoda http://www.github.com

### Copyright:

- The great Yoda http://www.github.com

### Since:

- 1.0

### Version:

- 1.1

### See also:

- www.github.com

## Property Summary

(OverDocumentedClass) clone Readonly
  Returns the clone.

## Variables Summary

CONSTANT =

      {
        foo: 'bar'
      }

  Deprecated. Don't use this anymore!!11
  This variable is abstract. It's so abstract! ^_^ http://www.github.com
  TODO: Run with the wolves http://www.github.com
  Note: Never fortget this thing! http://www.github.com

  The constant that is SO DOCUMENTED as well (I feel sick about it)

  ### Examples:

  #### Foobar

      foo = bar

  ### Author:

  - The great Yoda http://www.github.com

  ### Copyright:

  - The great Yoda http://www.github.com

  ### Since:

  - 1.0

  ### Version:

  - 1.1

  ### See also:

  - www.github.com

## Class Method Summary

- . (OverDocumentedClass) class_method(foo, bar, options = {}) Private Abstract Deprecated Deprecated. Don't use this anymore!!11

## Instance Method Summary

- # (void) instance_method(foo, bar) Private Abstract Deprecated Deprecated. Don't use this anymore!!11
- # (void) virtual_method({a, b}) This is the virtual method ZOMG

## Extended Method Summary

### Methods extended from OverDocumentedMixin

.mixed_method .virtual_method

### Methods extended from Casper

## Included Method Summary

### Methods included from OverDocumentedMixin

#mixed_method #virtual_method

### Methods included from Casper

## Class Method Details

. (OverDocumentedClass) class_method(foo, bar, options = {}) Private

Deprecated. Don't use this anymore!!11
This method is abstract. It's so abstract! ^_^ http://www.github.com
TODO: Run with the wolves http://www.github.com
Note: Never fortget this thing! http://www.github.com

### Examples:

#### Foobar

    foo = bar

### Parameters:

- foo ( `String` ) — The first parameter
- bar ( `Integer` ) — The second parameter (all of a sudden)

### Options Hash: (options):

- option ( `String` ) — The only option (wtf?)

### Events:

simpleEvent

notSoSimpleEvent

Having description

complicatedEvent

Having description and parameters

### Parameters:

- The ( `String` ) — string

### Throws:

- ( `OverDocumentedClass` ) — EXCEPTION OMG

### Returns:

- ( `OverDocumentedClass` ) — RETVAL OMG

### Author:

- The great Yoda http://www.github.com

### Copyright:

- The great Yoda http://www.github.com

### Since:

- 1.0

### Version:

- 1.1

### See also:

- www.github.com

## Instance Method Details

# (void) instance_method(foo, bar)
# (void) instance_method(foo, bar, options)

Deprecated. Don't use this anymore!!11
This method is abstract. It's so abstract! ^_^ http://www.github.com
TODO: Run with the wolves http://www.github.com
Note: Never fortget this thing! http://www.github.com

### Examples:

#### Foobar

    foo = bar

### Throws:

- ( `String` ) — EXCEPTION OMG

### Returns:

- ( `String` ) — RETVAL OMG

### Author:

- The great Yoda http://www.github.com

### Copyright:

- The great Yoda http://www.github.com

### Since:

- 1.0

### Version:

- 1.1

### See also:

- www.github.com

### Overloads:

# (void) instance_method(foo, bar)

Obviously you can omit the last parameter

# (void) instance_method(foo, bar, options)

Or you can set it!

# (void) virtual_method({a, b})

This is the virtual method ZOMG

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input